  <table>
    <tr>
      <td>
        <div class="scrollArea">
          <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
            <!-- This is the tree node template for leaf nodes -->
            <mat-tree-node [ngClass]="selectedNode===node ? 'selectedNode' : 'simpleNode'" *matTreeNodeDef="let node" matTreeNodePadding (click)="nodeClicked(node)">
              <!-- use a disabled button to provide padding for tree leaf -->
              <button mat-icon-button disabled></button>
              {{node.name}}
            </mat-tree-node>
            <!-- This is the tree node template for expandable nodes -->
            <mat-tree-node [ngClass]="selectedNode===node ? 'selectedNode' : 'compositeNode'"
                           *matTreeNodeDef="let node;when: hasChild" matTreeNodePadding (click)="nodeClicked(node)">
              <button mat-icon-button matTreeNodeToggle disabled="true"
                      [attr.aria-label]="'toggle ' + node.name">
                <mat-icon class="mat-icon-rtl-mirror">
                  chevron_right
                </mat-icon>
              </button>
              {{node.name}}
            </mat-tree-node>
          </mat-tree>
        </div>
      </td>
    </tr>
    <tr>
      <td>
        <mat-toolbar>
        <span>
          <button mat-raised-button id="addSingleEvent" (click)="eventButtonPressed('single')" [disabled]="!selectedNode && dataSource.data.length !== 0 || currentlyWorkingOnEvent || selectedNode?.event.classType === 'SingleEvent'">Add Single Event</button>
          <button mat-raised-button id="addCompositeEvent" (click)="eventButtonPressed('composite')" [disabled]="!selectedNode && dataSource.data.length !== 0 || currentlyWorkingOnEvent || selectedNode?.event.classType === 'SingleEvent'" >Add Large Event</button>
          <button mat-raised-button id="deleteEventButton" (click)="deleteEventButtonPressed()" [disabled]="!selectedNode || currentlyWorkingOnEvent"> Delete </button>
          <button mat-raised-button color="primary" id="treeSubmit" (click)="submit()" [disabled]="dataSource.data.length === 0 || currentlyWorkingOnEvent">Submit</button>
        </span>
        </mat-toolbar>
      </td>
    </tr>
  </table>



